<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Puppeteer](./puppeteer.puppeteer.md) &gt; [launch](./puppeteer.puppeteer.launch.md)

## Puppeteer.launch() method

<b>Signature:</b>

```typescript
launch(options?: LaunchOptions & ChromeArgOptions & BrowserOptions & {
        product?: string;
        extraPrefsFirefox?: {};
    }): Promise<Browser>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | LaunchOptions &amp; ChromeArgOptions &amp; BrowserOptions &amp; { product?: string; extraPrefsFirefox?: {}; } |  |

<b>Returns:</b>

Promise&lt;[Browser](./puppeteer.browser.md)<!-- -->&gt;

